Subject: Re: Pull is Mostly Evil

From: David Kastrup <[email-masked]>
Date: Fri, 02 May 2014 17:45:23 +0200

Marc Branchaud <[email-masked]> writes:

> To that end, I suggest that pull's default behaviour should be to do
> *nothing*.  It should just print out a message to the effect that it
> hasn't been configured, and that the user should run "git help pull"
> for guidance.

Fetching is uncontentious, and I _think_ that fast-forwards are pretty
uncontentious as well.

It's just when the merge-left/merge-right/rebase-left/rebase-right
decision kicks in that prescribing one git-pull behavior looks like a
recipe for trouble.

-- 
David Kastrup